package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Testing.DeleteTestingPackages;
import _VisualDVM.TestingSystem.DVM.DVMPackage.DVMPackage;

import java.io.File;
public class DeleteDVMPackage extends DeleteTestingPackages<DVMPackage> {
    public DeleteDVMPackage() {
        super(DVMPackage.class);
    }
    protected void showPreparation() throws Exception {
        super.showPreparation();
        Global.mainModule.getUI().getMainWindow().getTestingWindow().DropTestRunTasksComparison();
    }
    @Override
    protected File getPackagesHome() {
        return Global.DVMPackagesDirectory;
    }
}

